# Some nmake macros for NT Win32 building
# this is kept in samples\inc for now

!include <ntwin32.mak>

# This line allows NMAKE to work as well

all: cursor.exe

# Update the resource if necessary

res.res: res.rc cursor.h bullseye.cur
    rc -r -fo res.tmp res.rc
    cvtres -i386 res.tmp -o res.res
    del res.tmp

# Update the object file if necessary

cursor.obj: cursor.c cursor.h
    $(cc) $(cflags) $(cvars) cursor.c
    cvtomf cursor.obj

# Update the executable file if necessary, and if so, add the resource back in.

cursor.exe: cursor.obj res.res cursor.def
    $(link) $(guiflags) -out:cursor.exe cursor.obj res.res $(guilibs)
